Bug Hunting Session
Bug 80646 - Java path root '/' appears on wrong end in RTL languages
Summary: Java path root '/' appears on wrong end in RTL languages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: lowest trivial
Assignee: Andras Timar
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: RTL-CTL Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2014-06-28 19:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-27 15:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
how the java path looks (60.91 KB, image/png)
2014-06-28 19:35 UTC, Yousuf Philips (jay) (retired)
Details
how the online update destination path looks (50.32 KB, image/png)
2014-06-28 19:36 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-28 19:35:02 UTC
Created attachment 101934 [details]
how the java path looks

With the CTL Arabic UI enabled in Linux, if you open up the options dialog, the java path root folder '/' appears on the wrong end for some strange reason. This behavior isnt consistent as the root folder '/' for the online update download destination appears fine.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-28 19:36:36 UTC
Created attachment 101935 [details]
how the online update destination path looks
Comment 2 Urmas 2014-06-29 12:48:42 UTC
That is localizers' responsibility to properly use BiDi formatting characters.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-29 14:30:51 UTC
The java path is not something localizers have access to modify.
Comment 4 Firas Hanife 2014-06-30 13:32:37 UTC
Confirming here on openSUSE 13.1 with 4.2.5.2
Comment 5 QA Administrators 2015-07-18 17:43:16 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2015-10-19 14:32:41 UTC
Still present.

Version: 5.0.4.0.0+
Build ID: 9a75c72495ed6014d6c84fdead14bef68ea32858
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-5-0, Time: 2015-10-16_08:36:43
Locale: en-US (en_US.UTF-8)
Comment 7 Yousuf Philips (jay) (retired) 2017-10-02 09:16:58 UTC
Still present and confirmed it happens in Hebrew as well.

So as mentioned previously, this doesnt happen with destpathlabel[1] but happens with javapath[2]. I'm assuming this should be a simple fix once a dev checks the relevant code, as there wasnt anything in glade that could fix it.

Version: 5.4.3.0.0+
Build ID: fb64cf127dc6398f5d18d186a93966837db0bb1e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-09-27_12:54:32
Locale: en-US (en_US.UTF-8); Calc: group

[1] https://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/optonlineupdatepage.ui#169

[2] https://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/optadvancedpage.ui#251
Comment 8 Omer Zak 2017-11-04 20:23:40 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)

I tested with Hebrew UI.
Tools > Options > LibreOffice > Advanced
(or actually, the equivalent Hebrew menu items).
Comment 9 Commit Notification 2018-10-27 15:34:31 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=129d1fe9fdb448a764f6c181705a61d4db321904

tdf#80646 insert LTR mark after label

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.